import BN from "bn.js";
import { AddressAmount, BalanceDecreasingProps, BalanceDecreasingSummaryResponse, PaymentSummaryProps, PaymentSummaryResponse, TransactionGetterFunction } from "../TransactionBase";
import { UtxoTransaction, UtxoTransactionTypeOptions } from "./UtxoTransaction";
export declare class BtcTransaction extends UtxoTransaction<BtcTransaction> {
    makeFull<BtcTransaction>(transactionGetter: TransactionGetterFunction<BtcTransaction>): Promise<void>;
    get currencyName(): string;
    isValidPkscript(index: number): boolean;
    get sourceAddresses(): (string | undefined)[];
    get fee(): BN;
    get spentAmounts(): AddressAmount[];
    get type(): UtxoTransactionTypeOptions;
    get hasPrevouts(): boolean;
    paymentSummary<BtcTransaction>({ inUtxo, outUtxo }: PaymentSummaryProps<BtcTransaction>): Promise<PaymentSummaryResponse>;
    balanceDecreasingSummary<BtcTransaction>({ sourceAddressIndicator, }: BalanceDecreasingProps<BtcTransaction>): Promise<BalanceDecreasingSummaryResponse>;
}
//# sourceMappingURL=BtcTransaction.d.ts.map