import BN from "bn.js";
import { TransactionSuccessStatus } from "../../types/genericMccTypes";
import { IXrpGetTransactionRes, XrpTransactionTypeUnion } from "../../types/xrpTypes";
import { AddressAmount, BalanceDecreasingProps, BalanceDecreasingSummaryResponse, PaymentSummaryProps, PaymentSummaryResponse, TransactionBase, TransactionGetterFunction } from "../TransactionBase";
export declare class XrpTransaction extends TransactionBase<XrpTransaction> {
    protected get data(): IXrpGetTransactionRes;
    get txid(): string;
    get stdTxid(): string;
    get hash(): string;
    get reference(): string[];
    get stdPaymentReference(): string;
    get unixTimestamp(): number;
    get sourceAddresses(): string[];
    get receivingAddresses(): string[];
    get fee(): BN;
    get feeSignerTotalAmount(): AddressAmount;
    get spentAmounts(): AddressAmount[];
    get intendedSpentAmounts(): AddressAmount[];
    get receivedAmounts(): AddressAmount[];
    get intendedReceivedAmounts(): AddressAmount[];
    get type(): XrpTransactionTypeUnion;
    get isNativePayment(): boolean;
    get currencyName(): string;
    get elementaryUnits(): BN;
    get successStatus(): TransactionSuccessStatus;
    paymentSummary<T extends XrpTransaction>(props: PaymentSummaryProps<XrpTransaction>): Promise<PaymentSummaryResponse>;
    balanceDecreasingSummary<XrpTransaction>({ sourceAddressIndicator, }: BalanceDecreasingProps<XrpTransaction>): Promise<BalanceDecreasingSummaryResponse>;
    makeFull<XrpTransaction>(transactionGetter: TransactionGetterFunction<XrpTransaction>): Promise<void>;
    private get metaObject();
    get isAccountCreate(): boolean;
}
//# sourceMappingURL=XrpTransaction.d.ts.map